#!/bin/bash
# 
# This will start multiple tcptunnel instances

function _shutdown
{
	for i in {1..6} ; do
		if [ -z "${PIDS[i]}" ]; then
			# assume we are at the end of the list
			break;
		fi
		kill ${PIDS[i]} 2>&1 > /dev/null;
	done
	exit 0
}

# Trap signals
trap "_shutdown" SIGINT SIGTERM

# This is for debug
source tcptunnel.conf

# Source configuration file
#source /etc/sysconfig/tcptunnel

TCPTUNNEL_STARTED=0
NPID=0
for i in {0..5} ; do
	if [ -z "${BIND_ADDRESS[$i]}" ]; then
		continue
	fi
	
	${TCPTUNNEL_BIN} --local-port=${LOCAL_PORT[i]} --remote-port=${REMOTE_PORT[i]} --remote-host=${REMOTE_HOST[i]} --bind-address=${BIND_ADDRESS[i]} &

	# Store pid	
	((NPID++))
	PIDS[NPID]=$!
	disown ${PIDS[NPID]}
	
	if [ $? = 0 ]; then
		((TCPTUNNEL_STARTED++))
	fi
done

if [ $TCPTUNNEL_STARTED = 0 ]; then
	echo "No TCP Tunnels were started"
	exit 255
fi

echo "${TCPTUNNEL_STARTED} tcptunnels were started successfully"
sleep infinity


